/*
 * configuration file for cryptoFTP
 * $Id: acconfig.h,v 1.8 2000/05/05 22:33:10 malekith Exp $
 */

/* USER config START */

/* default port to use (if /etc/services doesn't contain cftp) */
#define DEF_PORT 26
/* limit (in bytes) of /etc/cftp/motd file that will be still displayed */
#define MOTD_LIMIT 1024
/* syslog: */
#define SYSLOG_FACILITY LOG_USER
/* default cipher to use, recommended values blowfish, twofish or arcfour */
#define DEFAULT_CIPHER "blowfish"

/* client look'n'feel settings */
/* whatever to display semi-graphic progress bar */
#define USE_PBAR
/* whatever to use moving-annoying-thing while up/downloading */
#define USE_DASH
/* whatever progress bar should look strange */
#define USE_FANCY_PBAR

/* 
 * set it to some power of 2 minus about 20 bytes 
 * it's use by ls and file sending
 * 4096 seems resonable for linux
 * it should be one-two maximal size packets which can be sent by kernel
 * however setting this below 1024 will lead to significant overhead
 * (10-14 bytes per packet)
 */
#define CHUNK_SIZE (4 * 1024 - 20)

/* USER config END */

/* 
 * this section is altered by configure 
 */
 
@TOP@

/* define if you want braindead server, for non-multiuser OSes, 
 * for testing ONLY !!! */
#undef BRAINDEAD

/* define this if you want ipv6 support and your libc have needed structs
 * like sockaddr_in6 (in <netinet/in.h>) */
#undef IPv6

/* define this if you want PAM support and have <security/pam_appl.h> */
#undef USE_PAM

#undef HAVE_READLINE_H
#undef HAVE_READLINE_READLINE_H
#undef HAVE_HISTORY_H
#undef HAVE_READLINE_HISTORY_H
/* define if you have __uint32_t like types in <sys/types.h> */
#undef HAVE_TYPES_IN_SYS_TYPES_H
#undef USE_READLINE
#undef USE_ZLIB
#undef USE_SHADOW
#undef VERSION
#undef ETC_DIR
#undef WORDS_BIGENDIAN
#undef socklen_t

@BOTTOM@

/* 
 * end of altered section 
 */
#define RSA_PUBLIC_KEY_NAME  ETC_DIR "/cftp.key.public"
#define RSA_PRIVATE_KEY_NAME ETC_DIR "/cftp.key.private"
#define MOTD_NAME	     ETC_DIR "/motd"
#define CONFIG_NAME	     ETC_DIR "/cftpd.config"

#ifdef USE_READLINE
#	define COMPLETION
#endif /* USE_READLINE */

/* setup iXX and uXX types for integers of exactly specified size */
#ifdef HAVE_TYPES_IN_SYS_TYPES_H
#	include <sys/types.h>
#	define i8 __int8_t
#	define i16 __int16_t
#	define i32 __int32_t
#	define u8 __uint8_t
#	define u16 __uint16_t
#	define u32 __uint32_t
#else /* HAVE_SYS_TYPES_H */
#	ifndef i32
#		if SIZEOF_INT == 4
#			define i32 int
#		elif SIZEOF_SHORT == 4
#			define i32 short
#		elif SIZEOF_LONG == 4
#			define i32 long
#		else
#			error "cannot find 32 bits wide int type"
#		endif
#	endif /* i32 */
#	ifndef i16
#		if SIZEOF_SHORT == 2
#			define i16 short
#		elif SIZEOF_INT == 2 /* ehemm.... */
#			define i16 int 
#		else
#			error "cannot find 16 bits wide int type"
#		endif
#	endif /* i16 */
#	ifndef i8
#		if SIZEOF_CHAR == 1
#			define i8 char
#		else
#			error "sizeof(char) != 1, bailing out"
#		endif /* SIZEOF_CHAR */
#	endif /* i8 */
#	define u32 unsigned i32
#	define u16 unsigned i16
#	define u8 unsigned i8
#endif /* HAVE_SYS_TYPES_H */


#ifndef __cplusplus
#define bool int
#endif /* __cplusplus */

#ifdef __CYGWIN__
/* make braindead version of server for testing, this can probably be used
 * on other platforms as well */
/* #       define BRAINDEAD -- defined by configure */
#	define NO_FORK /* for standalone server -- it causes problems ... */
#else
/* WINDA is defined for native windoze32 builds, using bcc or perhaps
 * msc, you can only build libcftp, use of GNU Make is a must, you'll
 * also need other unix utils (rm, mv, sed and so on) -- cygwin suite */
#       ifdef _WIN32
#             define WINDA
#       endif
#endif

/* some defines for winzok compatibility... argh... */
#ifndef WINDA
#define SOCKET int
#define INVALID_SOCKET -1
#define closesocket close
#define byte u8
#endif

#ifdef WINDA
#include <windows.h> /* belive or not: for byte ;) */
#endif

#ifndef __cplusplus
#define bool int
#endif /* __cplusplus */

