/*
 * Copyright (c) y2k Micha Moskal <malekith@topnet.pl>
 *
 * This file is part of cryptoFTP - cftp protocol implementation.
 * CryptoFTP is free software. You can redistribute it and/or modify it under
 * the terms of the GNU General Public License (see COPYING.GPL for details).
 *
 * $Id: server.h,v 1.3 2000/04/23 16:39:03 malekith Exp $
 */

/* logging functions */
void debug(const char *fmt, ... );
void info(const char *fmt, ... );
void einfo(const char *fmt, ... );
void notice(const char *fmt, ... );
void enotice(const char *fmt, ... );
void ewarn(const char *fmt, ... );
void warn(const char *fmt, ... );
void die(const char *fmt, ... );
void error(const char *fmt, ... );
void log_init();

#include "clib_int.h"

/* config */
void conf_read();
const char *conf_get_string(const char *name, const char *def);
int conf_get_int(const char *name, int def);
int conf_get_bool(const char *name, int def);

/* returns 1 if string V is value of one of options named NAME, ex:
 * config: 
 * Name val1
 * name val2
 * nameXXX val3
 * name     val4       # comment
 * ---> conf_find_string("name", "val1") == 1, 
 * ---> conf_find_string("name", "val2") == 1,
 * ---> conf_find_string("name", "val3") == 0,
 * ---> conf_find_string("name", "VAL1") == 1,
 * ---> conf_find_string("name", "VAL4") == 1,
 */
int conf_find_string(const char *name, const char *v);
/* same for ints */
int conf_find_int(const char *name, int v);

struct conf_map {
	char *name;
	int value;
};
int conf_get_maped(const char *name, int def, struct conf_map *map);

void string_resp(int resp, const char *data);

